export declare class IntegerConverter {
    protected static Buffer8: ArrayBuffer;
    protected static Buffer16: ArrayBuffer;
    protected static Buffer32: ArrayBuffer;
    protected static Buffer64: ArrayBuffer;
    protected static Buffer128: ArrayBuffer;
    protected static Buffer256: ArrayBuffer;
    protected static View8: DataView<ArrayBuffer>;
    protected static View16: DataView<ArrayBuffer>;
    protected static View32: DataView<ArrayBuffer>;
    protected static View64: DataView<ArrayBuffer>;
    protected static View128: DataView<ArrayBuffer>;
    protected static View256: DataView<ArrayBuffer>;
    static FromArray8(array: number[] | Uint8Array): number;
    static FromArray16(array: number[] | Uint8Array): number;
    static FromArray32(array: number[] | Uint8Array): number;
    static FromArray64(array: number[] | Uint8Array): bigint;
    static FromArray128(array: number[] | Uint8Array): bigint;
    static FromArray256(array: number[] | Uint8Array): bigint;
    static FromAuto(array: number[] | Uint8Array, size: number): number | bigint;
    static ToArray8(num: number): number[];
    static ToArray16(num: number): number[];
    static ToArray32(num: number): number[];
    static ToArray64(num: bigint): number[];
    static ToArray128(num: bigint): number[];
    static ToArray256(num: bigint): number[];
    static ToAuto(num: number | bigint, size: number): number[];
}
