export declare class IterableView {
    static Create<T>(length: number, fill: T): T[];
    static Copy<T>(array: T[]): T[];
    static Read<T>(array: T[], start: number, length?: number): T[];
    static Update<T>(array: T[], start: number, data: T[]): T[];
    static Ensure<T>(array: T[], len: number, fill: T): T[];
    read<T>(array: T[], start: number, length?: number): T[];
    update<T>(array: T[], start: number, data: T[]): T[];
    ensure<T>(array: T[], length: number, fill: T): T[];
}
